Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf
Class BorderUIResource.TitledBorderUIResource

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder
            |
            +--javax.swing.border.TitledBorder
                  |
                  +--javax.swing.plaf.BorderUIResource.TitledBorderUIResource

public static class BorderUIResource.TitledBorderUIResource
extends TitledBorder
implements UIResource

See Also:
  Serialized Form

Fields inherited from class javax.swing.border.TitledBorder
`ABOVE_BOTTOM, ABOVE_TOP, BELOW_BOTTOM, BELOW_TOP, border, BOTTOM, CENTER, DEFAULT_JUSTIFICATION, DEFAULT_POSITION, EDGE_SPACING, LEFT, RIGHT, TEXT_INSET_H, TEXT_SPACING, title, titleColor, titleFont, titleJustification, titlePosition, TOP`

Constructor Summary
`BorderUIResource.TitledBorderUIResource(Border border)`
`BorderUIResource.TitledBorderUIResource(Border border, java.lang.String title)`
`BorderUIResource.TitledBorderUIResource(Border border, java.lang.String title, int titleJustification, int titlePosition)`
`BorderUIResource.TitledBorderUIResource(Border border, java.lang.String title, int titleJustification, int titlePosition, java.awt.Font titleFont)`
`BorderUIResource.TitledBorderUIResource(Border border, java.lang.String title, int titleJustification, int titlePosition, java.awt.Font titleFont, java.awt.Color titleColor)`
`BorderUIResource.TitledBorderUIResource(java.lang.String title)`

Methods inherited from class javax.swing.border.TitledBorder
`getBorder, getBorderInsets, getBorderInsets, getFont, getMinimumSize, getTitle, getTitleColor, getTitleFont, getTitleJustification, getTitlePosition, isBorderOpaque, paintBorder, setBorder, setTitle, setTitleColor, setTitleFont, setTitleJustification, setTitlePosition`

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorderUIResource.TitledBorderUIResource

    public BorderUIResource.TitledBorderUIResource(java.lang.String title)

### BorderUIResource.TitledBorderUIResource

    public BorderUIResource.TitledBorderUIResource(Border border)

### BorderUIResource.TitledBorderUIResource

    public BorderUIResource.TitledBorderUIResource(Border border,
                                                   java.lang.String title)

### BorderUIResource.TitledBorderUIResource

    public BorderUIResource.TitledBorderUIResource(Border border,
                                                   java.lang.String title,
                                                   int titleJustification,
                                                   int titlePosition)

### BorderUIResource.TitledBorderUIResource

    public BorderUIResource.TitledBorderUIResource(Border border,
                                                   java.lang.String title,
                                                   int titleJustification,
                                                   int titlePosition,
                                                   java.awt.Font titleFont)

### BorderUIResource.TitledBorderUIResource

    public BorderUIResource.TitledBorderUIResource(Border border,
                                                   java.lang.String title,
                                                   int titleJustification,
                                                   int titlePosition,
                                                   java.awt.Font titleFont,
                                                   java.awt.Color titleColor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.